summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorLinArcX2018-09-20 15:02:05 +0430
committerLinArcX2018-09-20 15:02:05 +0430
commit1f6e691b8e4def58c6473d3c05ddeeef7e5b4e17 (patch)
tree8ab5022b349e3a8f72cbdb3cbae66fcd87fbe9ff /PKGBUILD
downloadaur-gnome-shell-extension-topicons-plus-huttli-git.tar.gz
Init PKGBUILD
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..ba44a0b0ef5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: LinArcx <linarcx@gmail.com>
+
+pkgname=gnome-shell-extension-topicons-plus-huttli-git
+pkgver=v19.r73.gf9f2ba0
+pkgrel=1
+pkgdesc="Moves legacy tray icons to the top panel(Huttli Fokr)"
+arch=('any')
+url="https://github.com/huttli/TopIcons-plus"
+license=('GPL2')
+depends=('gnome-shell')
+source=("${pkgname}::git+https://github.com/huttli/TopIcons-plus.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ _uuid='TopIcons@huttli'
+
+ cd "${srcdir}/${pkgname}"
+
+ install -d "${pkgdir}/usr/share/gnome-shell/extensions/${_uuid}"
+ install -Dm644 "schemas/org.gnome.shell.extensions.topicons.gschema.xml" \
+ -t "${pkgdir}/usr/share/glib-2.0/schemas/"
+
+ cp -af * "${pkgdir}/usr/share/gnome-shell/extensions/${_uuid}"
+} \ No newline at end of file